ScaleFast 1.0.3 won’t launch



  • Trying to launch ScaleFast 1.0.3, two compatible .ufo's open. It throws this error in the output window:

    Traceback (most recent call last):
      File "/Applications/RoboFont.app/Contents/Resources/lib/python3.7/fontParts/base/component.py", line 277, in _drawPoints
      File "/Applications/RoboFont.app/Contents/Resources/lib/python3.7/fontTools/pens/pointPen.py", line 222, in addComponent
      File "/Applications/RoboFont.app/Contents/Resources/lib/python3.7/fontTools/pens/basePen.py", line 176, in addComponent
    TypeError: 'NoneType' object is not subscriptable
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "scaleFast.py", line 1532, in <module>
      File "scaleFast.py", line 387, in __init__
      File "scaleFast.py", line 920, in _selectedFontChanged
      File "/Users/kris/Documents/Work/Code/RoboFont/RoboFont 3/RoboFont 3 Extensions/ScaleFast.roboFontExt/lib/mutatorScale/lib/mutatorScale/utilities/fontUtils.py", line 64, in getRefStems
      File "/Users/kris/Documents/Work/Code/RoboFont/RoboFont 3/RoboFont 3 Extensions/ScaleFast.roboFontExt/lib/mutatorScale/lib/mutatorScale/utilities/fontUtils.py", line 252, in getGlyphBox
      File "/Applications/RoboFont.app/Contents/Resources/lib/python3.7/fontParts/base/glyph.py", line 632, in draw
      File "/Applications/RoboFont.app/Contents/Resources/lib/python3.7/fontParts/base/component.py", line 251, in draw
      File "/Applications/RoboFont.app/Contents/Resources/lib/python3.7/fontParts/base/component.py", line 259, in _draw
      File "/Applications/RoboFont.app/Contents/Resources/lib/python3.7/fontParts/base/component.py", line 265, in drawPoints
      File "/Applications/RoboFont.app/Contents/Resources/lib/python3.7/fontParts/base/component.py", line 279, in _drawPoints
      File "/Applications/RoboFont.app/Contents/Resources/lib/python3.7/fontTools/pens/pointPen.py", line 222, in addComponent
      File "/Applications/RoboFont.app/Contents/Resources/lib/python3.7/fontTools/pens/basePen.py", line 176, in addComponent
    TypeError: 'NoneType' object is not subscriptable
    

    RF Version 3.5b (build 2006162121)
    MacOS Catalina, 10.15.5

    Any help appreciated!


  • admin


  • admin

    should be fixed and ready in Mechanic

    good luck!!



  • Ah, thanks mate! I’ve updated the extension, but still giving the same error. However, it works on different .ufo’s. Can I email you the .ufo's that don’t work?


  • admin

    Yes, please do (or dummy ufo with the same problem)

    You did restart RF after installing the latest version of ScaleFast?



  • Yeah, restarted after install. Email sent ✌️



  • This is working now, thanks!

    Updated to the latest version, 1.0.5.

    @frederik please mark as solved.


Log in to reply